﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Follow-up Forms Report
            </h1>
        </div>
        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix"></div>

    <form ng-submit="prepareGrid()" class="no-margin">

        <div class="place-left one-fourth padding-right20">
            <label>Organization</label>
            <div class="input-control select" data-role="input-control">
                <select ng-change="updateChosenRadio()" ng-model="Model.ClubType" ng-options="obj.Value as obj.Title for obj in ClubTypes"></select>
            </div>
        </div>

        <div class="input-control radio">
            <label>&nbsp;</label>
            <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
                <label class="block">
                    <input ng-model="Model.IsAllClubs" value="true" type="radio" ng-change="updateChosenScope()" />
                    <span class="check"></span>
                    <span ng-show="Model.ClubType == 'school'"> All schools </span>
                    <span ng-show="Model.ClubType == 'provider'"> All providers </span>
                    <span ng-show="Model.ClubType == 'district'"> All school districts </span>
                </label>
            </div>
            <div class="input-control radio default-style place-left no-margin padding-left20" data-role="input-control">
                <label class="block">
                    <input ng-model="Model.IsAllClubs" value="false" type="radio" ng-change="getClubs(Model.ClubType)" />
                    <span class="check"></span>
                    <span ng-show="Model.ClubType == 'school'"> Selected schools </span>
                    <span ng-show="Model.ClubType == 'provider'"> Selected providers </span>
                    <span ng-show="Model.ClubType == 'district'"> Selected school districts </span>
                </label>
            </div>
        </div>
        <div class="input-control choosen" data-role="input-control" ng-show="Model.IsAllClubs == 'false'">
            <label>{{Model.ClubType == 'school' ? 'School' : Model.ClubType == 'provider' ? 'Provider' : 'School districts'}}</label>
            <select chosen multiple
                    ng-model="Model._SelectedClubs"
                    data-placeholder="{{Model.ClubType == 'school' ? 'Select some schools' : Model.ClubType == 'provider' ? 'Select some providers' : 'Select some school districts'}}"
                    ng-options="obj.Value as obj.Text for obj in AllClubs"></select>
        </div>

        <div class="clearfix"></div>

        <div class="place-left one-fourth padding-right20">
            <label for="filter.typeId">Season</label>
            <div class="input-control select" data-role="input-control">
                <select ng-model="Model.SeasonName" ng-options="obj.Value as obj.Text for obj in Model.AllSeason"></select>
            </div>
        </div>
        <div class="place-left one-fourth padding-right20">
            <label for="filter.typeId">Year</label>
            <div class="input-control select" data-role="input-control">
                <select ng-model="Model.Year" ng-options="obj.Value as obj.Text for obj in Years"></select>
            </div>
        </div>
        <div class="one-fourth place-left padding-right20">
            <label>Status</label>
            <div class="input-control select" data-role="input-control">
                <select ng-model="Model.Filters.Status" ng-options="temp.Value as temp.Text for temp in Model.Filters.OrderStatus"></select>
            </div>
        </div>
        <div class="clearfix"></div>

        <div id="followup-formFilterZone">
            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                    <label class="block">
                        <input ng-model="Model.Filters.FollowupFilter" name="formFilter" value="Uncompleted" type="radio" />
                        <span class="check"></span>
                        Show only students who have at least one incomplete form
                    </label>
                </div>
                <br />
                <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                    <label class="block">
                        <input ng-model="Model.Filters.FollowupFilter" name="formFilter" value="Completed" type="radio" />
                        <span class="check"></span>
                        Show only students who have completed all forms
                    </label>
                </div>
                <br />
                <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                    <label class="block">
                        <input ng-model="Model.Filters.FollowupFilter" name="formFilter" value="None" type="radio" />
                        <span class="check"></span>
                        Show all student
                    </label>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>

        <div class="half-persent place-left">
            <div class="half-persent place-left" style="margin-bottom: 10px; margin-right: 10px">
                <div data-format="mm/dd/yyyy" data-effect="fade">
                    <label>Registration start date</label>
                    <input kendo-date-picker ng-model="Model.Filters.RegistrationStart" type="text" placeholder="mm/dd/yyyy" />
                </div>
            </div>
            <div class="half-persent place-left">
                <div data-format="mm/dd/yyyy" data-effect="fade">
                    <label>Registration end date</label>
                    <input kendo-date-picker ng-model="Model.Filters.RegistrationEnd" type="text" placeholder="mm/dd/yyyy" />
                </div>
            </div>
        </div>
        <div class="clearfix"></div>

        <label for="searchFollowupName">Search by participant email, first name, last name</label>
        <div class="input-control text" data-role="input-control">
            <input ng-model="searchTerm" id="searchFollowupName" type="text" placeholder="" ng-change="">
            <button class="btn-search" tabindex="-1" type="button" ng-click="filterData()"></button>
        </div>

        <div class="clearfix"></div>

        <button type="submit" class="primary large place-right button" style="margin-top: 25px">Run</button>
        <input class="button link place-right on-left-more" style="margin-top: 33px; text-align: right" value="Clear filters" ng-click="clearFilters()">
        <div class="clearfix" style="margin-bottom: 20px"></div>
    </form>
    

    <div ng-show="IsReportRun">
        <div class="clearfix"></div>
        <div class="double-scroll" style="width: 100%;max-width: 100%;min-width: 100%;">
            <div class="wrapper1">
                <div class="div1"></div>
            </div>
            <div class="wrapper2">
                <div class="div2">
                    <kendo-grid id="followupReportGrid" options="followupReportGridOptions" class="resizable scroll"></kendo-grid>
                </div>
            </div>
        </div>
    </div>

    <div class="clearfix"></div>

</div>
